Bug 999530 - Adding info about InitialContext.lookup possibility would be nice
Adding info about InitialContext.lookup possibility would be nice
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: sgilda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 09:43 EDT by Ondrej Chaloupka
Modified: 2014-08-14 11:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 11863, Migration Guide-6.1-4 Build Date: 15-08-2013 13:16:01 Topic ID: 4641-460283 [Specified]
Last Closed: 2013-09-16 16:39:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-08-21 09:43:08 EDT
Title: Modify the Application to Follow the New JNDI Namespace Rules

It would be fine to mention that customer has still possibility to do
context = new InitialContext();
productManager = (ProductManager) context.lookup("...");
just with new name. And that she is not bound to the usage of the @Resource(lookup="...")
Comment 1 sgilda 2013-08-23 09:25:32 EDT
Added a section on using the old syntax.

Modified:

Topic 4961 - Modify the Application to Follow the New JNDI Namespace Rules, rev 500590

Topic 19236 - 6.1.1 Migration Guide
Comment 2 Russell Dickenson 2013-08-26 23:38:41 EDT
This issue has been resolved and is available on Docstage at [1] for validation. Before validating this change, confirm that you're viewing revision 1.0-62 or later.

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Enterprise_Application_Platform/6.1.1/html-single/Migration_Guide/index.html#Modify_the_Application_to_Follow_the_New_JNDI_Namespace_Rules
Comment 3 Ondrej Chaloupka 2013-08-27 02:11:46 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.